> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/de/automatisierung/runbooks/runbook-references/org/general/export-all-autopilot-devices.md).

# Alle Autopilot-Geräte exportieren

### Beschreibung

Listet alle Windows Autopilot-Geräte auf und exportiert sie optional in eine CSV-Datei in Azure Storage. Wenn der Export aktiviert ist, lädt das Runbook den Bericht hoch und gibt einen zeitlich begrenzten SAS-(Download-)Link zurück.

### Ort

Organisation → Allgemein → Alle Autopilot-Geräte exportieren

**Vollständiger Runbook-Name**

rjgit-org\_general\_export-all-autopilot-devices

### Details

| Eigenschaft          | Wert                               |
| -------------------- | ---------------------------------- |
| Version              | 1.0.1                              |
| Erforderliche Module | RealmJoin.RunbookHelper (>= 0.8.9) |
| Planbar              | nein                               |

### Berechtigungen

#### Anwendungsberechtigungen

* **Typ**: Microsoft Graph
  * DeviceManagementManagedDevices.Read.All
    * *Ergänzt jedes Autopilot-Gerät um Intune-Daten über /deviceManagement/managedDevices*
  * DeviceManagementServiceConfig.Read.All
    * *Listet windowsAutopilotDeviceIdentities als Basisdaten des Exports auf*

### Parameter

#### ExportToFile

"In der Konsole anzeigen" (Endwert: $false) oder "In eine CSV-Datei exportieren" (Endwert: $true) können als auszuführende Aktion ausgewählt werden.

| Eigenschaft  | Wert            |
| ------------ | --------------- |
| Erforderlich | falsch          |
| Standardwert | Falsch          |
| Typ          | Boolescher Wert |

**Portaloptionen**

| Portaloption                  | Wert |
| ----------------------------- | ---- |
| In eine CSV-Datei exportieren |      |
| In der Konsole auflisten      |      |

#### ContainerName

Name des Azure Storage-Containers, in den der CSV-Bericht hochgeladen wird.

| Eigenschaft  | Wert         |
| ------------ | ------------ |
| Erforderlich | falsch       |
| Standardwert |              |
| Typ          | Zeichenfolge |

#### ResourceGroupName

Name der Azure-Ressourcengruppe, in der sich das Storage Account befindet.

| Eigenschaft  | Wert         |
| ------------ | ------------ |
| Erforderlich | falsch       |
| Standardwert |              |
| Typ          | Zeichenfolge |

#### StorageAccountName

Name des für den Upload verwendeten Azure Storage Account.

| Eigenschaft  | Wert         |
| ------------ | ------------ |
| Erforderlich | falsch       |
| Standardwert |              |
| Typ          | Zeichenfolge |

#### StorageAccountLocation

Azure-Region für das Storage Account, falls es erstellt werden muss.

| Eigenschaft  | Wert         |
| ------------ | ------------ |
| Erforderlich | falsch       |
| Standardwert |              |
| Typ          | Zeichenfolge |

#### StorageAccountSku

SKU-Name für das Storage Account, falls es erstellt werden muss.

| Eigenschaft  | Wert         |
| ------------ | ------------ |
| Erforderlich | falsch       |
| Standardwert |              |
| Typ          | Zeichenfolge |

[Zurück zur Übersicht der Runbook-Referenz](/de/automatisierung/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/de/automatisierung/runbooks/runbook-references/org/general/export-all-autopilot-devices.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
